cascading.flow.local.stream.graph

## Class LocalStepStreamGraph

- java.lang.Object
- - cascading.flow.stream.graph.StreamGraph
  - - cascading.flow.stream.graph.NodeStreamGraph
    - - cascading.flow.local.stream.graph.LocalStepStreamGraph

    public class LocalStepStreamGraph
    extends NodeStreamGraph

### Field Summary

### Fields inherited from class cascading.flow.stream.graph.NodeStreamGraph

`elementGraph, flowProcess, node, streamedSource`

### Fields inherited from class cascading.flow.stream.graph.StreamGraph

`DOT_FILE_PATH, ERROR_DOT_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`LocalStepStreamGraph(FlowProcess<java.util.Properties> flowProcess, LocalFlowStep step, FlowNode node)`

### Method Summary

Methods
`protected void` `buildGraph()`
`protected Gate` `createCoGroupGate(CoGroup element, IORole role)`
`protected Duct` `createFork(Duct[] allNext)`
`protected Gate` `createGroupByGate(GroupBy element, IORole source)`
`protected Duct` `createMergeStage(Merge merge, IORole both)`
`protected SinkStage` `createSinkStage(Tap element)`

### Methods inherited from class cascading.flow.stream.graph.NodeStreamGraph

`createBlockingJoinGate, createBoundaryStage, createHashJoinGate, createNonBlockingJoinGate, findExisting, getProperty, handleDuct, setScopes, setTraps`

### Methods inherited from class cascading.flow.stream.graph.StreamGraph

`addHead, addPath, addPath, addTail, bind, cleanup, createCloseWindow, createNextFor, createOpenReducingWindow, createOpenWindow, findAllNextFor, findAllPreviousFor, getAllDucts, getHeads, getReversedGraph, getReversedTopologicalOrderIterator, getTails, getTopologicalOrderIterator, ordinalBetween, prepare, printBoundGraph, printBoundGraph, printGraph, printGraph, printGraphError, wrapWithOrdinal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalStepStreamGraph

    public LocalStepStreamGraph(FlowProcess<java.util.Properties> flowProcess,
                        LocalFlowStep step,
                        FlowNode node)

### Method Detail

#### buildGraph

    protected void buildGraph()

#### createFork

    protected Duct createFork(Duct[] allNext)

Overrides:
  `createFork` in class `StreamGraph`

#### createCoGroupGate

    protected Gate createCoGroupGate(CoGroup element,
                         IORole role)

Specified by:
  `createCoGroupGate` in class `NodeStreamGraph`

#### createGroupByGate

    protected Gate createGroupByGate(GroupBy element,
                         IORole source)

Specified by:
  `createGroupByGate` in class `NodeStreamGraph`

#### createMergeStage

    protected Duct createMergeStage(Merge merge,
                        IORole both)

Overrides:
  `createMergeStage` in class `NodeStreamGraph`

#### createSinkStage

    protected SinkStage createSinkStage(Tap element)

Overrides:
  `createSinkStage` in class `NodeStreamGraph`